package com.jeux.mainmenu;

import com.jeux.mainmenu.R;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;

public class MainMenuActivity  extends Activity
{
	/** Called when the activity is first created. */
	@Override
	public void onCreate( Bundle savedInstanceState )
	{
		// Must be first instruction of onCreate.
		super.onCreate( savedInstanceState );
		
		// Show Splash screen.
		setContentView( R.layout.splashscreen );

		// Create and run thread.
		Thread splashThread = new Thread()
		{
			@Override
			public void run()
			{
				try
				{
					int waited = 0;

					while( waited < 5000 )
					{
						sleep( 50 );
						waited += 100;
					}
				}
				catch( InterruptedException e )
				{
					e.printStackTrace();
				}
				finally
				{
					finish();
					Intent localIntent = new Intent();
					localIntent.setClassName( "com.jeux.mainmenu" , "com.jeux.mainmenu.MainMenu" );
					startActivity( localIntent );
				}
			}
		};
		splashThread.start();
	}
}